package com.example.hello;


import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import org.richfaces.event.FileUploadEvent;
import org.richfaces.model.UploadedFile;
 
/**
 * @author Ilya Shaikovsky
 */
@ManagedBean
@SessionScoped
public class FileUploadBean implements Serializable {
    private List<File> files = new ArrayList<File>();
 
    public void paint(OutputStream stream, Object object) throws IOException {
       File f = getFiles().get((Integer) object);
       FileInputStream is = new FileInputStream(f);
       int b= -1;
       do {
    	   b = is.read();
    	   stream.write(b);
       } while(b!=-1);
  
        is.close();
        stream.close();
    }
 
    public void listener(FileUploadEvent event) throws Exception {
    	  System.out.println("Sono il listener invocato dall'event FileUploadEvent - UploadedFile.getName()= "+ event.getUploadedFile().getName());
          
    	UploadedFile item = event.getUploadedFile();
        File file = new File(item.getName());
      
        files.add(file);
    }
 
    public String clearUploadData() {
        files.clear();
        return null;
    }
 
    public int getSize() {
        if (getFiles().size() > 0) {
            return getFiles().size();
        } else {
            return 0;
        }
    }
 
    public long getTimeStamp() {
        return System.currentTimeMillis();
    }
 
    public List<File> getFiles() {
        return files;
    }
 
    public void setFiles(List<File> files) {
        this.files = files;
    }
}
